Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.mina.transport.socket.nio
Class DatagramAcceptorConfig

    java.lang.Object
      org.apache.mina.common.support.BaseIoServiceConfig
          org.apache.mina.common.support.BaseIoAcceptorConfig
              org.apache.mina.transport.socket.nio.DatagramAcceptorConfig

All Implemented Interfaces:
  Cloneable, IoAcceptorConfig, IoServiceConfig, DatagramServiceConfig

    public class DatagramAcceptorConfig

extends org.apache.mina.common.support.BaseIoAcceptorConfig
implements DatagramServiceConfig

An `IoAcceptorConfig` for `DatagramAcceptor`.

Version:
  $Rev: 587373 $, $Date: 2007-10-23 11:54:05 +0900 (Tue, 23 Oct 2007) $
Author:
  The Apache Directory Project (mina-dev@directory.apache.org)

Constructor Summary
`DatagramAcceptorConfig()` Creates a new instance.

Method Summary
`Object` | `clone()` Returns a deep clone of this configuration.
`DatagramSessionConfig` | `getSessionConfig()` Resturns the default configuration of the new `IoSession`s.
`IoSessionRecycler` | `getSessionRecycler()` Returns the `IoSessionRecycler` for this service.
`void` | `setSessionRecycler(IoSessionRecycler sessionRecycler)` Sets the `IoSessionRecycler` for this service.

Methods inherited from class org.apache.mina.common.support.BaseIoAcceptorConfig
`isDisconnectOnUnbind, setDisconnectOnUnbind`

Methods inherited from class org.apache.mina.common.support.BaseIoServiceConfig
`getFilterChain, getFilterChainBuilder, getThreadModel, setFilterChainBuilder, setThreadModel`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.mina.common.IoServiceConfig
`getFilterChain, getFilterChainBuilder, getThreadModel, setFilterChainBuilder, setThreadModel`

Constructor Detail

### DatagramAcceptorConfig

    public DatagramAcceptorConfig()

  Creates a new instance.

  Throws:
    `RuntimeIOException` - if failed to get the default configuration

Method Detail

### getSessionConfig

    public DatagramSessionConfig getSessionConfig()

  Description copied from interface: `IoServiceConfig`
  Resturns the default configuration of the new `IoSession`s.

  Specified by:
    `getSessionConfig` in interface `IoServiceConfig`
  Specified by:
    `getSessionConfig` in interface `DatagramServiceConfig`

### getSessionRecycler

    public IoSessionRecycler getSessionRecycler()

  Description copied from interface: `DatagramServiceConfig`
  Returns the `IoSessionRecycler` for this service.

  Specified by:
    `getSessionRecycler` in interface `DatagramServiceConfig`

### setSessionRecycler

    public void setSessionRecycler(IoSessionRecycler sessionRecycler)

  Description copied from interface: `DatagramServiceConfig`
  Sets the `IoSessionRecycler` for this service.

  Specified by:
    `setSessionRecycler` in interface `DatagramServiceConfig`
  Parameters:
    `sessionRecycler` - `null` to use the default recycler

### clone

    public Object clone()

  Description copied from interface: `IoServiceConfig`
  Returns a deep clone of this configuration.

  Specified by:
    `clone` in interface `IoServiceConfig`
  Overrides:
    `clone` in class `org.apache.mina.common.support.BaseIoServiceConfig`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 Apache MINA Project. All Rights Reserved.